varying vec2 		texcoord;
uniform sampler3D 	tex;
uniform float 		layer;
uniform int			channel;

void main()
{
	vec4 color=texture3D(tex,vec3(texcoord.s,layer,texcoord.t));
	//float x=color.x*color.y*color.z*color.a*10.0;
	gl_FragColor=/*max(vec4(0.0),*/vec4(color[channel],color[channel],color[channel],1.0);//);
}
